Perl v5.10 + IIS v6 = perl scripts do not work

Posted by superduper on 2008-01-04 04:40

I've just installed the ActiveState Perl v5.10 on Windows 2003 sp2 ( IIS v6 ) and now the cgi scripts do not work any more ( dll initialization error ) . Before the upgrade of perl 822 everything was fine . The configuration of IIS is just fine , script mapping , mime types , web service extensions , everything is fine .
Before install the new version also had deleted the c:\Perl just to be sure .

So , I rename the c:\Perl dir and copy the previous version 822 from an other machine . Guess what , the scrips start working as expected . Thats why I am pretty sure this is a bug of 5.10

If I am missing something obvious , please help .

grahams
ActiveState Staff
Fri, 2008-01-04 15:45

There is a known bug in ActivePerl 5.10.0.1001 which affects operation of PerlScript, as well as PerlIS, and several other utilities. This will be corrected in build 1002.

MarcZ | Wed, 2008-01-16 10:32

Any idea when build 1002 will appear ?

MarcZ | Thu, 2008-01-17 05:56

Noticed that build 1002 has been posted.

meowmee | Fri, 2008-05-30 16:39

Ok.. I checked and I have ActivePerl 5.10.0.1002 and I still can't get Perl to work with IIS. Help! :( (I installed ActivePerl-5.10.0.1002-MSWin32-x86-283697.msi)